Loading...
Searching...
No Matches
ojph::local::dec_mel_st Struct Reference

MEL state structure for reading and decoding the MEL bitstream. More...

## Public Member Functions

| dec_mel_st ()
| dec_mel_st ()
| dec_mel_st ()

## Public Attributes

ui8 * | data
| the address of data (or bitstream)
ui64 | tmp
| temporary buffer for read data
int | bits
| number of bits stored in tmp
int | size
| number of bytes in MEL code
bool | unstuff
| true if the next bit needs to be unstuffed
int | k
| state of MEL decoder
int | num_runs
| number of decoded runs left in runs (maximum 8)
ui64 | runs
| runs of decoded MEL codewords (7 bits/run)

## Detailed Description

MEL state structure for reading and decoding the MEL bitstream.

A number of events is decoded from the MEL bitstream ahead of time and stored in run/num_runs. Each run represents the number of zero events before a one event.

Definition at line 63 of file ojph_block_decoder32.cpp.

## Constructor & Destructor Documentation

## dec_mel_st() [1/3]

ojph::local::dec_mel_st::dec_mel_st | ( |  | ) |

inline

Definition at line 64 of file ojph_block_decoder32.cpp.

References bits, data, k, num_runs, runs, size, tmp, and unstuff.

## dec_mel_st() [2/3]

ojph::local::dec_mel_st::dec_mel_st | ( |  | ) |

inline

Definition at line 64 of file ojph_block_decoder64.cpp.

References bits, data, k, num_runs, runs, size, tmp, and unstuff.

## dec_mel_st() [3/3]

ojph::local::dec_mel_st::dec_mel_st | ( |  | ) |

inline

Definition at line 74 of file ojph_block_decoder_wasm.cpp.

References bits, data, k, num_runs, runs, size, tmp, and unstuff.

## Member Data Documentation

## bits

int ojph::local::dec_mel_st::bits

number of bits stored in tmp

Definition at line 70 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_decode(), ojph::local::mel_init(), and ojph::local::mel_read().

## data

ui8 * ojph::local::dec_mel_st::data

the address of data (or bitstream)

Definition at line 68 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_init(), and ojph::local::mel_read().

## k

int ojph::local::dec_mel_st::k

state of MEL decoder

Definition at line 73 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_decode(), and ojph::local::mel_init().

## num_runs

int ojph::local::dec_mel_st::num_runs

number of decoded runs left in runs (maximum 8)

Definition at line 76 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_decode(), ojph::local::mel_get_run(), and ojph::local::mel_init().

## runs

ui64 ojph::local::dec_mel_st::runs

runs of decoded MEL codewords (7 bits/run)

Definition at line 77 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_decode(), ojph::local::mel_get_run(), and ojph::local::mel_init().

## size

int ojph::local::dec_mel_st::size

number of bytes in MEL code

Definition at line 71 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_init(), and ojph::local::mel_read().

## tmp

ui64 ojph::local::dec_mel_st::tmp

temporary buffer for read data

Definition at line 69 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_decode(), ojph::local::mel_init(), and ojph::local::mel_read().

## unstuff

bool ojph::local::dec_mel_st::unstuff

true if the next bit needs to be unstuffed

Definition at line 72 of file ojph_block_decoder32.cpp.

Referenced by dec_mel_st(), ojph::local::mel_init(), and ojph::local::mel_read().

The documentation for this struct was generated from the following files:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/coding/ojph_block_decoder32.cpp
- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/coding/ojph_block_decoder64.cpp
- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/coding/ojph_block_decoder_wasm.cpp